AVG-2031 log

Package linux
Status Fixed
Severity Medium
Type multiple issues
Affected 5.12.8.arch1-1
Fixed 5.12.9.arch1-1
Current 5.14.14.arch1-1 [core]
Ticket None
Created Thu Jun 3 13:56:20 2021
Issue Severity Remote Type Description
CVE-2021-32606 Medium No Privilege escalation
In the Linux kernel since 5.11 before 5.12.9, isotp_setsockopt in net/can/isotp.c allows privilege escalation to root by leveraging a use-after-free. (This...
CVE-2020-26147 Medium Yes Insufficient validation
An issue was discovered in the Linux kernel before version 5.12.9. The WEP, WPA, WPA2, and WPA3 implementations reassemble fragments even though some of...
CVE-2020-26145 Medium Yes Insufficient validation
An issue was discovered in the Linux kernel before version 5.12.9. The WEP, WPA, WPA2, and WPA3 implementations accept second (or subsequent) broadcast...
CVE-2020-26141 Medium Yes Insufficient validation
An issue was discovered in the Linux kernel before version 5.12.9. The Wi-Fi implementation does not verify the Message Integrity Check (authenticity) of...
CVE-2020-26139 Medium Yes Insufficient validation
An issue was discovered in the Linux kernel before version 5.12.9. An Access Point (AP) forwards EAPOL frames to other clients even though the sender has...
CVE-2020-24588 Medium Yes Insufficient validation
The 802.11 standard that underpins Wi-Fi Protected Access (WPA, WPA2, and WPA3) and Wired Equivalent Privacy (WEP) doesn't require that the A-MSDU flag in...
CVE-2020-24587 Medium Yes Information disclosure
The 802.11 standard that underpins Wi-Fi Protected Access (WPA, WPA2, and WPA3) and Wired Equivalent Privacy (WEP) doesn't require that all fragments of a...
CVE-2020-24586 Medium Yes Information disclosure
The 802.11 standard that underpins Wi-Fi Protected Access (WPA, WPA2, and WPA3) and Wired Equivalent Privacy (WEP) doesn't require that received fragments...